public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-block/open-iscsi/
Date: Wed, 20 Apr 2016 20:50:49 +0000 (UTC)	[thread overview]
Message-ID: <1461185443.60d26a2ac89857e39e9883a0bfbe8ab14f14b6fb.robbat2@gentoo> (raw)

commit:     60d26a2ac89857e39e9883a0bfbe8ab14f14b6fb
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 20 20:50:25 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Wed Apr 20 20:50:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60d26a2a

sys-block/open-iscsi: Bug #580380: improve checks for rmda/iser vs tcp.

Package-Manager: portage-2.2.28

 sys-block/open-iscsi/metadata.xml                 |   5 +
 sys-block/open-iscsi/open-iscsi-2.0.873-r2.ebuild | 112 ++++++++++++++++++++++
 2 files changed, 117 insertions(+)

diff --git a/sys-block/open-iscsi/metadata.xml b/sys-block/open-iscsi/metadata.xml
index 56c1244..14b6b2e 100644
--- a/sys-block/open-iscsi/metadata.xml
+++ b/sys-block/open-iscsi/metadata.xml
@@ -5,4 +5,9 @@
 	<email>base-system@gentoo.org</email>
 	<name>Gentoo Base System</name>
 </maintainer>
+	<use>
+		<flag name="tcp">Support iSCSI over TCP</flag>
+		<flag name="rdma">Support iSCSI over RDMA</flag>
+		<flag name="infiniban">Support iSCSI over Infiniband iSER</flag>
+	</use>
 </pkgmetadata>

diff --git a/sys-block/open-iscsi/open-iscsi-2.0.873-r2.ebuild b/sys-block/open-iscsi/open-iscsi-2.0.873-r2.ebuild
new file mode 100644
index 0000000..a6a58cb
--- /dev/null
+++ b/sys-block/open-iscsi/open-iscsi-2.0.873-r2.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit versionator linux-info eutils flag-o-matic toolchain-funcs udev
+
+MY_P="${PN}-$(replace_version_separator 2 "-")"
+
+DESCRIPTION="Open-iSCSI is a high performance, transport independent, multi-platform implementation of RFC3720"
+HOMEPAGE="http://www.open-iscsi.org/"
+SRC_URI="http://www.open-iscsi.org/bits/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug slp +tcp infiniband rdma"
+
+DEPEND="slp? ( net-libs/openslp ) infiniband? ( sys-infiniband/ofed )"
+RDEPEND="${DEPEND}
+	sys-fs/lsscsi
+	sys-apps/util-linux"
+REQUIRED_USE="infiniband? ( rdma ) || ( rdma tcp )"
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+	linux-info_pkg_setup
+
+	if kernel_is -lt 2 6 16; then
+		die "Sorry, your kernel must be 2.6.16-rc5 or newer!"
+	fi
+
+	# Needs to be done, as iscsid currently only starts, when having the iSCSI
+	# support loaded as module. Kernel builtin options don't work. See this for
+	# more information:
+	# https://groups.google.com/group/open-iscsi/browse_thread/thread/cc10498655b40507/fd6a4ba0c8e91966
+	# If there's a new release, check whether this is still valid!
+	TCP_MODULES="SCSI_ISCSI_ATTRS ISCSI_TCP"
+	RDMA_MODULES="INFINIBAND_ISER"
+	INFINIBAND_MODULES="INFINIBAND_IPOIB INIBAND_USER_MAD INFINIBAND_USER_ACCESS"
+	CONFIG_CHECK_MODULES="tcp? ( ${TCP_MODULES} ) rdma? ( ${RDMA_MODULES} ) infiniband? ( ${INFINIBAND_MODULES} )"
+	if linux_config_exists; then
+		if use tcp; then
+			for module in ${TCP_MODULES}; do
+				linux_chkconfig_module ${module} || ewarn "${module} needs to be built as module (builtin doesn't work)"
+		done
+		fi
+                if use infiniband; then
+                        for module in ${INFINIBAND_MODULES}; do
+                                linux_chkconfig_module ${module} || ewarn "${module} needs to be built as module (builtin doesn't work)"
+                done
+		fi
+                if use rdma; then
+                        for module in ${RDMA_MODULES}; do
+                                linux_chkconfig_module ${module} || ewarn "${module} needs to be built as module (builtin doesn't work)"$
+                done
+		fi
+	fi
+}
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-Makefiles.patch
+	epatch "${FILESDIR}"/${P}-memset.patch
+
+	sed -i -e 's:^\(iscsid.startup\)\s*=.*:\1 = /usr/sbin/iscsid:' etc/iscsid.conf || die
+}
+
+src_configure() {
+	use debug && append-cppflags -DDEBUG_TCP -DDEBUG_SCSI
+	append-lfs-flags
+
+	cd utils/open-isns || die
+
+	# SSL (--with-security) is broken
+	econf $(use_with slp) \
+		--without-security
+}
+
+src_compile() {
+	# Stuffing CPPFLAGS into CFLAGS isn't entirely correct, but the build
+	# is messed up already here, so it's not making it that much worse.
+	KSRC="${KV_DIR}" CFLAGS="" \
+	emake \
+		OPTFLAGS="${CFLAGS} ${CPPFLAGS}" \
+		AR="$(tc-getAR)" CC="$(tc-getCC)" \
+		user
+}
+
+src_install() {
+	emake DESTDIR="${ED}" sbindir="/usr/sbin" install
+
+	dodoc README THANKS
+
+	docinto test/
+	dodoc test/*
+
+	insinto /etc/iscsi
+	newins "${FILESDIR}"/initiatorname.iscsi initiatorname.iscsi.example
+
+	# udev pieces
+	udev_dorules "${FILESDIR}"/99-iscsi.rules
+	exeinto /etc/udev/scripts
+	doexe "${FILESDIR}"/iscsidev.sh
+
+	newconfd "${FILESDIR}"/iscsid-conf.d iscsid
+	newinitd "${FILESDIR}"/iscsid-init.d iscsid
+
+	keepdir /var/db/iscsi
+	fperms 700 /var/db/iscsi
+	fperms 600 /etc/iscsi/iscsid.conf
+}


             reply	other threads:[~2016-04-20 20:50 UTC|newest]

Thread overview: 90+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-20 20:50 Robin H. Johnson [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-23 15:58 [gentoo-commits] repo/gentoo:master commit in: sys-block/open-iscsi/ Sam James
2025-03-08 16:42 Arthur Zamarin
2025-03-08  1:37 Sam James
2024-10-13 11:06 Sam James
2024-10-09  7:15 Arthur Zamarin
2024-10-09  0:06 Jakov Smolić
2024-10-05 14:30 Arthur Zamarin
2024-10-05 11:12 Sam James
2024-09-04 14:31 James Le Cuirot
2024-09-04 14:31 James Le Cuirot
2024-08-30  7:59 Sam James
2024-08-29  3:51 Sam James
2024-08-29  3:51 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-07-15  2:01 Sam James
2023-08-05  0:33 Sam James
2023-06-15 22:03 Sam James
2022-10-28 21:03 Sam James
2022-10-28 20:58 Sam James
2022-10-28 20:53 Sam James
2022-10-28 20:44 Sam James
2022-10-28 20:44 Sam James
2022-10-28 20:27 Sam James
2022-10-28 20:27 Sam James
2022-09-27 21:36 Sam James
2022-06-02 18:47 Matthias Maier
2022-06-02 18:43 Matthias Maier
2022-05-03 22:50 Sam James
2022-05-03 22:45 Sam James
2022-04-07 20:58 Jakov Smolić
2022-04-06  0:51 Sam James
2022-04-03  2:48 Sam James
2022-01-14 17:36 Jakov Smolić
2021-09-04 17:35 David Seifert
2021-08-13 21:54 Sam James
2021-08-11  0:24 Sam James
2021-08-11  0:12 Sam James
2021-08-11  0:02 Sam James
2021-08-10 15:36 Agostino Sarubbo
2021-05-17  1:26 Sam James
2021-05-16 23:46 Sam James
2021-05-16 23:44 Sam James
2021-05-16 23:43 Sam James
2021-05-16 23:41 Sam James
2021-05-16 19:53 Sam James
2021-05-16 19:42 Sam James
2021-05-02 16:12 Mikle Kolyada
2021-04-21 19:02 Sam James
2021-03-26 18:36 Sam James
2021-03-26 15:19 Agostino Sarubbo
2021-03-18  9:42 Lars Wendler
2021-03-15 12:32 Lars Wendler
2021-03-15 12:32 Lars Wendler
2020-12-25 13:29 Thomas Deutschmann
2020-08-13  3:09 Matthew Thode
2020-07-30 21:41 Lars Wendler
2020-03-04 10:54 Lars Wendler
2019-11-15 10:27 Lars Wendler
2019-09-14 10:34 Lars Wendler
2019-09-14 10:34 Lars Wendler
2019-05-23  8:28 Lars Wendler
2019-05-23  8:15 Lars Wendler
2018-12-28 11:58 Mikle Kolyada
2018-04-23  0:24 Aaron Bauman
2018-04-04 22:26 Sergei Trofimovich
2018-03-23  0:02 Sergei Trofimovich
2018-03-18 23:19 Sergei Trofimovich
2018-02-20  8:18 Sergei Trofimovich
2018-01-18 19:14 Matt Thode
2017-12-01 22:19 David Seifert
2017-07-30  8:36 Michał Górny
2017-06-19 18:12 Alexis Ballier
2017-06-18 20:33 Robin H. Johnson
2017-06-18  3:32 Robin H. Johnson
2017-01-03 22:46 Matt Thode
2016-06-29 22:33 Alexey Shvetsov
2016-05-06  7:49 Patrick Lauer
2015-12-18  0:00 Mike Frysinger
2015-12-18  0:00 Mike Frysinger
2015-12-18  0:00 Mike Frysinger
2015-12-18  0:00 Mike Frysinger
2015-12-18  0:00 Mike Frysinger
2015-10-26 20:08 Michał Górny
2015-10-26 20:08 Michał Górny
2015-08-29  2:38 Matt Thode
2015-08-21  6:42 Agostino Sarubbo
2015-08-21  6:41 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1461185443.60d26a2ac89857e39e9883a0bfbe8ab14f14b6fb.robbat2@gentoo \
    --to=robbat2@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox